/*********************************************************
* function.h - function for measuring
*
* v_0.1
*
* Copyright (c)2014 Matej Z. All rights reserved.
* matej.zdenek@gmail.com
*********************************************************/

#ifndef __ENERGY_S
#define __ENERGY_S

typedef struct sStatEnergyItem
{
    int minPulseLength;
	unsigned long long sumPulseLength;
    unsigned long long sumPulseLengthPow2;
    unsigned long long countPulses;

	unsigned long long numToShortPulsesAtBegining;
	unsigned long long numToShortPulsesAtEnding;
	unsigned long long numSaturatedIntegrals;
} tStatEnergyItem;

typedef struct sStatEnergy
{
	tStatEnergyItem actual;
	tStatEnergyItem total;
} tStatEnergy;

int EnergyPrintStatistics(char* s, int printHeader, tStatEnergyItem *statItem);
void EnergyClearStatistics(tStatEnergy *stats, int onlyActual);



float MaximumImpulsu(float *impuls, int * max, int delka);
float EnergyFromIntegral2(float *impuls, int delka, int poziceMax, tStatEnergy *stats, int *prilisKratkyPulzProIntegraci);
void SaturateEnergy(float *energyAmplitude, float *energyIntegral, tStatEnergy *stats);


#endif //__ENERGY_S
