/*
 *  Project   : SPECTRUM - Digital Spectrometric System of Nuclear Radiation
 *
 *  Tool      : ClassificatorScript - spectrometric data processing
 *               
 *  Author(s) : Martin VESKRNA <256569@mail.muni.cz>             
 *
 *  Date      : 
 *
 *  (c) Copyright 2011 MASARYK UNIVERSITY
 *  All rights reserved.
 *
 *  Please review the terms of the license agreement before using this
 *  file. If you are not an authorized user, please destroy this
 *  source code file and notify MASARYK UNIVERSITY immediately that you
 *  inadvertently received an unauthorized copy.
 *
 */
 
#ifndef __UDP_S
#define __UDP_S

#include <stdio.h>


int PrepareOutputUDP(char* IP, int port);
int PrepareInputUDP(int port);
void CloseInputUDP();
void CloseOutputUDP();
int ReceiveRAWdataPacket(float* CH1, float* CH2, int* delka, unsigned long long* casImpulsu_ns, int* pulzKompletni, unsigned long long* vypadek_ns, int* vypadek_pulzy);
int SendUDPmethodPacket(unsigned long long time, unsigned int pulseNum, unsigned short valueA, unsigned short valueB);



#endif //__UDP_S
